package utilities

func Fibonacci(n int) int {
	if n == 0 { 
		return 0 
	} else if n == 1 { 
		return 1 
	} else { 
		return Fibonacci(n-1) + Fibonacci(n-2) 
	}
}

// If bits i and j of x are equal, return true
func CompareBits(x uint16, i, j uint) bool {
	return ((x & (1 << i)) >> i) == ((x & (1 << j)) >> j)
}

// Return x(i)
func GetBit(x uint16, i uint) bool {
	return ((x & (1 << i)) >> i) == 1
}